> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate organization provider credentials

> Validate supplied inference provider credentials for an organization without saving them. The provider must be available on the organization’s plan.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/organizations/{organizationId}/settings/validate-credentials
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/organizations/{organizationId}/settings/validate-credentials:
    post:
      tags:
        - Organizations
      summary: Validate organization provider credentials
      description: >-
        Validate supplied inference provider credentials for an organization
        without saving them. The provider must be available on the
        organization’s plan.
      operationId: validateOrganizationCredentials
      parameters:
        - in: path
          name: organizationId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    provider:
                      type: string
                      const: anthropic
                    apiKey:
                      type: string
                      description: The Anthropic API key.
                  required:
                    - provider
                    - apiKey
                  additionalProperties: false
                - type: object
                  properties:
                    provider:
                      type: string
                      const: openai
                    apiKey:
                      type: string
                      description: The OpenAI API key.
                  required:
                    - provider
                    - apiKey
                  additionalProperties: false
                - type: object
                  properties:
                    provider:
                      type: string
                      const: openrouter
                    apiKey:
                      type: string
                      description: The OpenRouter API key.
                  required:
                    - provider
                    - apiKey
                  additionalProperties: false
                - type: object
                  properties:
                    provider:
                      type: string
                      const: aws-bedrock
                    accessKeyId:
                      type: string
                      description: The AWS access key ID.
                    secretAccessKey:
                      type: string
                      description: The AWS secret access key.
                    region:
                      type: string
                      description: The AWS region.
                  required:
                    - provider
                    - accessKeyId
                    - secretAccessKey
                    - region
                  additionalProperties: false
                - type: object
                  properties:
                    provider:
                      type: string
                      const: gcp-vertex-ai
                    serviceAccountJson:
                      type: string
                      description: The GCP service account JSON.
                    project:
                      type: string
                      description: The GCP project ID.
                    location:
                      type: string
                      description: The Vertex AI location.
                  required:
                    - provider
                    - serviceAccountJson
                    - project
                    - location
                  additionalProperties: false
      responses:
        '200':
          description: Validate organization provider credentials
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                    description: >-
                      Whether the supplied credentials passed provider
                      validation.
                required:
                  - valid
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Organization administrator access is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Organization resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Organization operation conflicts with existing state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Organization operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Required organization storage is unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.